Inkscape-0.48.5

Introduction to Inkscape

Inkscape is a what you see is what you get Scalable Vector Graphics editor. It is useful for creating, viewing and changing SVG images.

This package is known to build and work properly using an LFS-7.5 platform.

Package Information

Additional Downloads

Inkscape Dependencies

Required

Boost-1.56.0, GC-7.4.2, Gsl-1.16, Gtkmm-2.24.4 and libxslt-1.1.28

Recommended

Optional

Aspell-0.60.6.1, Doxygen-1.8.8, ImageMagick-6.8.9-7, libwpg, Poppler-0.26.4 and popt-1.16

Optional Runtime Dependencies (for some of the Inkscape extensions)

XML::XQL and python-lxml

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/inkscape

Installation of Inkscape

Install Inkscape by running the following commands:

patch -Np1 -i ../inkscape-0.48.5-gc-1.patch &&

./configure --prefix=/usr  &&
make

Now, as the root user:

make install
[Note]

Note

This package installs icon files into the /usr/share/icons/hicolor hierarchy and desktop files into the /usr/share/applications hierarchy. You can improve system performance and memory usage by updating /usr/share/icons/hicolor/index.theme and /usr/share/applications/mimeinfo.cache. To perform the update you must have GTK+-2.24.24 or GTK+-3.12.2 installed (for the icon cache) and desktop-file-utils-0.22 (for the desktop cache) and issue the following commands as the root user:

gtk-update-icon-cache &&
update-desktop-database

Contents

Installed Programs: inkscape and inkview
Installed Libraries: None
Installed Directory: /usr/share/inkscape

Short Descriptions

inkscape

an SVG (Scalable Vector Graphics) editing program.

inkview

is a simple program for displaying SVG files.

Last updated on 2014-07-27 02:17:12 +0000